Get Sorted Content (for user)

Provide a set of content ids, and this algo will rank and sort the given ids based on the given user's previous actions, collaborative filtering, and tags associated with the content they interacted with.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Path Params
string
required
Defaults to 123
Body Params
object
object
required
string
enum
required
Defaults to user

The type of object that your content_ids (items to sort) are of.

content_ids
array of objects
required
Defaults to 123,222,456

The ids of the content you want to sort. The ids must be for the type of content set in content_object_type.

content_ids*
string
enum
Defaults to liked

The primary positive indicator a user can take on the content type that's being recommended. This should be the action a user can take that you consider most important to indicating that an object appeals to their tastes. If value is not provided, it will default to "liked".

string
enum
Defaults to viewed

The secondary positive indicator a user can take on the content type that's being recommended. This should be the action a user can take that you consider to be important in indicating that an object appeals to their tastes. It will be weighted less than the primary positive relationship type, but still taken into account. If value is not provided, it will default to "viewed".

string
enum
Defaults to disliked

The primary negative action a user can take on the content type. This should be the action a user can take that you consider to be important in indicating that an object does not appeal to their tastes. Content that the user marked with this type will not be returned in recommendation results. If value is not provided, it will default to "disliked".

string
enum
Defaults to taggedWith

Set this relationship to the relationship you use to set tags on the content that is being recommended. If a value is not provided, "taggedWith" will be used by default.

string
enum
Defaults to tag

Set this relationship to the object you use for tags on the content that is being recommended. If a value is not provided, "tag" will be used by default.

integer
Responses

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json